Package org.eclipse.ui.views.navigator

## Class LocalSelectionTransfer

- java.lang.Object
- - org.eclipse.swt.dnd.Transfer
  - - org.eclipse.swt.dnd.ByteArrayTransfer
    - - org.eclipse.jface.util.LocalSelectionTransfer
      - - org.eclipse.ui.views.navigator.LocalSelectionTransfer

    @Deprecated
    public class LocalSelectionTransfer
    extends LocalSelectionTransfer

Deprecated.
as of 3.5, use `LocalSelectionTransfer` instead
A LocalSelectionTransfer may be used for drag and drop operations within the same instance of Eclipse. The selection is made available directly for use in the DropTargetListener. dropAccept method. The DropTargetEvent passed to dropAccept does not contain the drop data. The selection may be used for validation purposes so that the drop can be aborted if appropriate. This class is not intended to be subclassed.

Since:
  2.1
Restriction:
  This class is not intended to be subclassed by clients.

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods Deprecated Methods
`static LocalSelectionTransfer` `getInstance()` Deprecated. Returns the singleton.
`ISelection` `getSelection()` Deprecated. Returns the local transfer data.
`long` `getSelectionSetTime()` Deprecated. Returns the time when the selection operation this transfer is associated with was started.
`void` `javaToNative​(Object object, TransferData transferData)` Deprecated. Overrides org.eclipse.swt.dnd.ByteArrayTransfer#javaToNative(Object, TransferData).
`Object` `nativeToJava​(TransferData transferData)` Deprecated. Overrides org.eclipse.swt.dnd.ByteArrayTransfer#nativeToJava(TransferData).
`void` `setSelection​(ISelection s)` Deprecated. Sets the transfer data for local use.
`void` `setSelectionSetTime​(long time)` Deprecated. Sets the time when the selection operation this transfer is associated with was started.

### Methods inherited from class org.eclipse.jface.util.LocalSelectionTransfer

`getTransfer, getTypeIds, getTypeNames`

### Methods inherited from class org.eclipse.swt.dnd.ByteArrayTransfer

`getSupportedTypes, isSupportedType`

### Methods inherited from class org.eclipse.swt.dnd.Transfer

`registerType, validate`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### getInstance

    public static LocalSelectionTransfer getInstance()

Deprecated.
Returns the singleton.

Returns:
  the singleton

#### getSelection

    public ISelection getSelection()

Deprecated.
Description copied from class: `LocalSelectionTransfer`
Returns the local transfer data.

Overrides:
  `getSelection` in class `LocalSelectionTransfer`
Returns:
  the local transfer data

#### getSelectionSetTime

    public long getSelectionSetTime()

Deprecated.
Description copied from class: `LocalSelectionTransfer`
Returns the time when the selection operation this transfer is associated with was started.

Overrides:
  `getSelectionSetTime` in class `LocalSelectionTransfer`
Returns:
  the time when the selection operation has started
See Also:
  `TypedEvent.time`

#### setSelection

    public void setSelection​(ISelection s)

Deprecated.
Description copied from class: `LocalSelectionTransfer`
Sets the transfer data for local use.

Overrides:
  `setSelection` in class `LocalSelectionTransfer`
Parameters:
  `s` - the transfer data

#### setSelectionSetTime

    public void setSelectionSetTime​(long time)

Deprecated.
Description copied from class: `LocalSelectionTransfer`
Sets the time when the selection operation this transfer is associated with was started. If assigning this from an SWT event, be sure to use `setSelectionTime(event.time & 0xFFFF)`

Overrides:
  `setSelectionSetTime` in class `LocalSelectionTransfer`
Parameters:
  `time` - the time when the selection operation was started
See Also:
  `TypedEvent.time`

#### javaToNative

    public void javaToNative​(Object object,
                             TransferData transferData)

Deprecated.
Description copied from class: `LocalSelectionTransfer`
Overrides org.eclipse.swt.dnd.ByteArrayTransfer#javaToNative(Object, TransferData). Only encode the transfer type name since the selection is read and written in the same process.

Overrides:
  `javaToNative` in class `LocalSelectionTransfer`
Parameters:
  `object` - a java `byte[]` containing the data to be converted
  `transferData` - an empty `TransferData` object that will be filled in on return with the platform specific format of the data
See Also:
  `ByteArrayTransfer.javaToNative(java.lang.Object, org.eclipse.swt.dnd.TransferData)`

#### nativeToJava

    public Object nativeToJava​(TransferData transferData)

Deprecated.
Description copied from class: `LocalSelectionTransfer`
Overrides org.eclipse.swt.dnd.ByteArrayTransfer#nativeToJava(TransferData). Test if the native drop data matches this transfer type.

Overrides:
  `nativeToJava` in class `LocalSelectionTransfer`
Parameters:
  `transferData` - the platform specific representation of the data to be converted
Returns:
  a java `byte[]` containing the converted data if the conversion was successful; otherwise null
See Also:
  `ByteArrayTransfer.nativeToJava(TransferData)`